Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDragMoveEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QDropEvent
                      com.trolltech.qt.gui.QDragMoveEvent

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QDragEnterEvent

    public class QDragMoveEvent

extends QDropEvent

The `QDragMoveEvent` class provides an event which is sent while a drag and drop action is in progress.

A widget will receive drag move events repeatedly while the drag is within its boundaries, if it accepts drop events and enter events. The widget should examine the event to see what kind of data it provides, and call the `accept` function to accept the drop if appropriate.

The rectangle supplied by the `answerRect` function can be used to restrict drops to certain parts of the widget. For example, we can check whether the rectangle intersects with the geometry of a certain child widget and only call acceptProposedAction() if that is the case.

Note that this class inherits most of its functionality from `QDropEvent`.

See Also:
  `QDragEnterEvent`, `QDragLeaveEvent`, `QDropEvent`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QDragMoveEvent(QPoint pos, Qt.DropActions actions, QMimeData data, Qt.MouseButtons buttons, Qt.KeyboardModifiers modifiers)` Equivalent to `QDragMoveEvent`(`pos`, `actions`, `data`, `buttons`, `modifiers`, DragMove).
`QDragMoveEvent(QPoint pos, Qt.DropActions actions, QMimeData data, Qt.MouseButtons buttons, Qt.KeyboardModifiers modifiers, QEvent.Type type)` Creates a `QDragMoveEvent` of the required `type` indicating that the mouse is at position `pos` given within a widget.

Method Summary
`void` | `accept(QRect r)` The same as `accept`, but also notifies that future moves will also be acceptable if they remain within the `r` given on the widget.
`QRect` | `answerRect()` Returns the rectangle in the widget where the drop will occur if accepted.
`static QDragMoveEvent` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QDragMoveEvent instance pointed to by nativePointer
`void` | `ignore(QRect r)` The opposite of the accept(const `QRect`&) function.

Methods inherited from class com.trolltech.qt.gui.QDropEvent
`acceptProposedAction, dropAction, keyboardModifiers, mimeData, mouseButtons, pos, possibleActions, proposedAction, setAct, setDropAction, setModState, setMouseState, source`

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDragMoveEvent

    public QDragMoveEvent(QPoint pos,
                          Qt.DropActions actions,
                          QMimeData data,
                          Qt.MouseButtons buttons,
                          Qt.KeyboardModifiers modifiers)

  Equivalent to `QDragMoveEvent`(`pos`, `actions`, `data`, `buttons`, `modifiers`, DragMove).

### QDragMoveEvent

    public QDragMoveEvent(QPoint pos,
                          Qt.DropActions actions,
                          QMimeData data,
                          Qt.MouseButtons buttons,
                          Qt.KeyboardModifiers modifiers,
                          QEvent.Type type)

  Creates a `QDragMoveEvent` of the required `type` indicating that the mouse is at position `pos` given within a widget.

  The mouse and keyboard states are specified by `buttons` and `modifiers`, and the `actions` describe the types of drag and drop operation that are possible. The drag data is passed as MIME-encoded information in `data`.

  Warning: Do not attempt to create a `QDragMoveEvent` yourself. These objects rely on Qt's internal state.

Method Detail

### accept

    public final void accept(QRect r)

  The same as `accept`, but also notifies that future moves will also be acceptable if they remain within the `r` given on the widget. This can improve performance, but may also be ignored by the underlying system.

  If the rectangle is empty, drag move events will be sent continuously. This is useful if the source is scrolling in a timer event.

### answerRect

    public final QRect answerRect()

  Returns the rectangle in the widget where the drop will occur if accepted. You can use this information to restrict drops to certain places on the widget.

### ignore

    public final void ignore(QRect r)

  The opposite of the accept(const `QRect`&) function. Moves within the `r` are not acceptable, and will be ignored.

### fromNativePointer

    public static QDragMoveEvent fromNativePointer(QNativePointer nativePointer)

  This function returns the QDragMoveEvent instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD